MsWksGraphInternal::Table Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MsWksGraphInternal::Table Struct Referencefinal

Internal: the table of a MsWksGraph. More...

Inheritance diagram for MsWksGraphInternal::Table:

## Public Member Functions
| Table (Zone const &z)
| constructor More...
| Table ()
| empty constructor More...
| ~Table () final
| destructor More...
Type | type () const final
| return the type More...
Public Member Functions inherited from MsWksGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual bool | getBinaryData (MWAWInputStreamPtr, MWAWEmbeddedObject &picture) const
| return a binary data (if known) More...
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed) More...
virtual void | fillFrame (MWAWGraphicStyle &) const
| add frame parameters to propList (if needed ) More...
MWAWBox2f | getLocalBox (bool extendWithBord=true) const
| return the box More...
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const
virtual void | print (std::ostream &o) const
| the virtual print function More...

## Public Attributes
int | m_tableId
| the table id More...
Public Attributes inherited from MsWksGraphInternal::Zone
int | m_subType
| the type More...
int | m_zoneId
| the zone id More...
MWAWEntry | m_pos
| the file position More...
long | m_dataPos
| the data begin position More...
int | m_fileId
| the file id More...
long | m_ids [3]
| the zones id (main, previous, next) More...
int | m_page
| the page More...
MWAWBox2f | m_decal
| the local position More...
MWAWVec2f | m_finalDecal
| the final local position More...
MWAWBox2f | m_box
| local bdbox More...
int | m_line
| the line position(v1) More...
MsWksGraph::Style | m_style
| the style More...
int | m_order
| the picture order More...
std::string | m_extra
| extra data More...
bool | m_doNotSend
| a flag used to know if we need to send the data ( or if this is the part of a sub group) More...
bool | m_isSent
| true if the zone is send More...

## Additional Inherited Members
Public Types inherited from MsWksGraphInternal::Zone
enum | Type { Unknown, Shape, ChartZone, Group, Pict, Text, Textv4, Bitmap, TableZone, OLE }

## Detailed Description

Internal: the table of a MsWksGraph.

## Constructor & Destructor Documentation

## ◆ Table() [1/2]

MsWksGraphInternal::Table::Table | ( | Zone const & | z | ) |
| inlineexplicit

constructor

## ◆ Table() [2/2]

MsWksGraphInternal::Table::Table | ( |  | ) |
| inline

empty constructor

## ◆ ~Table()

MsWksGraphInternal::Table::~Table | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ type()

Type MsWksGraphInternal::Table::type | ( |  | ) | const
| inlinefinalvirtual

return the type

Reimplemented from MsWksGraphInternal::Zone.

## Member Data Documentation

## ◆ m_tableId

int MsWksGraphInternal::Table::m_tableId

the table id

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx